require 'nokogiri'
require 'uri'

class String
  def to_absolute(base_url)
    base = URI.parse base_url
    doc = Nokogiri::HTML self
    [['img','src'],['a','href']].each do |selector,attribute|
      doc.css(selector).each do |tag|
        path = tag[attribute]
        path.slice! 0 if path.start_with? '/'
        tag[attribute] = base.merge(path).to_s
      end
    end
    doc.to_html
  end
  
  def dehumanize
    self.downcase.gsub(/\s/,'-').gsub(/[^a-z0-9-]/,'')
  end
end